.. _release-notes:

Release notes
=============

These release notes record the changes made in all major and patch
releases of |Gromacs|. Major releases contain changes to the
functionality supported, whereas patch releases contain only fixes for
issues identified in the corresponding major releases.

Two version series of |Gromacs| are under active maintenance and
within support lifetime at any time. In 2023, they are the 2023 series
and the 2022 series. In the latter, only highly conservative fixes
will be made, and only to address issues that affect scientific
correctness. Naturally, some of those releases will be made after the
year 2022 ends, but we keep the year of the original release in the
version name so that users understand how up to date their version
is. Such fixes will also be incorporated into the more recent release
series, as appropriate. Around the time the 2024 release is made, the
2022 series will no longer be maintained.

Where issue numbers are reported in these release notes, more details
can be found on the `issue tracker`_ at that issue number.

|Gromacs| 2023 series
---------------------

.. todolist::

Patch releases
^^^^^^^^^^^^^^
.. toctree::
   :maxdepth: 1

   2022/2022.3
   2022/2022.2
   2022/2022.1


Major release
^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2023/major/highlights
   2023/major/features
   2023/major/performance
   2023/major/api
   2023/major/tools
   2023/major/bugs-fixed
   2023/major/deprecated-functionality
   2023/major/removed-functionality
   2023/major/portability
   2023/major/miscellaneous


|Gromacs| 2022 series
---------------------

Major release
^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2022/major/highlights
   2022/major/features
   2022/major/performance
   2022/major/api
   2022/major/tools
   2022/major/bugs-fixed
   2022/major/deprecated-functionality
   2022/major/removed-functionality
   2022/major/portability
   2022/major/miscellaneous


Older (unmaintained) |Gromacs| series
-------------------------------------------------------

|Gromacs| 2021 series
---------------------

Patch releases
^^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2021/2021.5
   2021/2021.4
   2021/2021.3
   2021/2021.2
   2021/2021.1


Major release
^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2021/major/highlights
   2021/major/features
   2021/major/performance
   2021/major/tools
   2021/major/bugs-fixed
   2021/major/deprecated-functionality
   2021/major/removed-functionality
   2021/major/portability
   2021/major/miscellaneous


|Gromacs| 2020 series
---------------------

Patch releases
^^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2020/2020.7
   2020/2020.6
   2020/2020.5
   2020/2020.4
   2020/2020.3
   2020/2020.2
   2020/2020.1

Major release
^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2020/major/highlights
   2020/major/features
   2020/major/performance
   2020/major/tools
   2020/major/bugs-fixed
   2020/major/deprecated-functionality
   2020/major/removed-functionality
   2020/major/portability
   2020/major/miscellaneous


|Gromacs| 2019 series
---------------------

Patch releases
^^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2019/2019.6
   2019/2019.5
   2019/2019.4
   2019/2019.3
   2019/2019.2
   2019/2019.1

Major release
^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2019/major/highlights
   2019/major/features
   2019/major/performance
   2019/major/tools
   2019/major/bugs-fixed
   2019/major/deprecated-functionality
   2019/major/removed-functionality
   2019/major/portability
   2019/major/miscellaneous

|Gromacs| 2018 series
---------------------

Patch releases
^^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2018/2018.7
   2018/2018.6
   2018/2018.5
   2018/2018.4
   2018/2018.3
   2018/2018.2
   2018/2018.1

Major release
^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2018/major/highlights
   2018/major/features
   2018/major/performance
   2018/major/tools
   2018/major/bugs-fixed
   2018/major/removed-features
   2018/major/portability
   2018/major/miscellaneous

|Gromacs| 2016 series
---------------------

Patch releases
^^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2016/2016.5
   2016/2016.4
   2016/2016.3
   2016/2016.2
   2016/2016.1


Major release
^^^^^^^^^^^^^

.. toctree::
   :maxdepth: 1

   2016/major/highlights
   2016/major/new-features
   2016/major/performance
   2016/major/tools
   2016/major/bugs-fixed
   2016/major/removed-features
   2016/major/miscellaneous


.. toctree::
   :maxdepth: 1

   older/index
